Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Flash player doesn't work on firefox

  • 6 replies
  • 31 have this problem
  • 30948 views
  • Last reply by FredMcD

more options

When I went to play Boggle Bash or Mahjong Garden on POGO.com yesterday, 2-24-2015, a pop-up came up and said that my flash player was out of date. After updating 3 times, I still cannot play my flash games on POGO while using the Firefox browser. The same pop-up shows up stating that my flash player needs to be updated. I checked the current version and it is the latest one, 16.0.0.305 for Firefox and Windows 7 . Why isn't this update being recognized? I have gone through the list of Adobe trouble shooting to no avail. I am able to play using the Chrome browser. The people at Adobe told me to just use Chrome for my games. I don't like Chrome and want to use my Firefox for my gaming. I read the previous help subject that was submitted before by taylormade, on 11/24/14 3:55 PM, . I used the same link that you posted in the response by James Top 25 Contributor Moderator 619 solutions 4632 answers Posted 11/24/14 11:57 PM, and it doesn't help. What should I do to get my games working again on Firefox? I think that it is a disservice to Firefox that the Adobe people are telling people to use Chrome instead because there are less problems with it than using Firefox Something needs to be fixed.

Attached screenshots

Chosen solution

Adobe Flash tends to not update cleanly all the time or for some users, and their uninstaller program may be needed to clean out all Adobe Flash files that are "hanging around".

First, grab the Adobe uninstaller from here: http://helpx.adobe.com/flash-player/kb/uninstall-flash-player-windows.html

Then download the latest Flash Plugin version from here: Select Plugin-based browsers - the EXE version. https://www.adobe.com/products/flashplayer/distribution3.html

Run the Flash uninstaller program, then reboot your PC. Then install the Plugin version of Flash. So you'll have a clean installation of Flash for Firefox.

You'll also need to reinstall the ActiveX version for IE.

Read this answer in context 👍 2

All Replies (6)

more options

Your System Details shows;

Installed Plug-ins

Shockwave Flash 11.5 r502 Shockwave Flash 16.0 r0

Having more than one version of a program may cause issues.

Grab the uninstaller from here: Uninstall Flash Player | Windows Uninstall Flash Player | Mac Then reinstall the latest version.

Flash Player Version 16.0.0.305
https://www.adobe.com/products/flashplayer/distribution3.html

more options

I only show one installed flash player unless you are talking about Adobe Flash Player 16 ActiveX. The copy, Shockwave Flash 11.5 r502 does not show up on my programs and features page. How do I uninstall it. I have uninstalled the Shockwave Flash 11.5 r502 copy.

more options

Chosen Solution

Adobe Flash tends to not update cleanly all the time or for some users, and their uninstaller program may be needed to clean out all Adobe Flash files that are "hanging around".

First, grab the Adobe uninstaller from here: http://helpx.adobe.com/flash-player/kb/uninstall-flash-player-windows.html

Then download the latest Flash Plugin version from here: Select Plugin-based browsers - the EXE version. https://www.adobe.com/products/flashplayer/distribution3.html

Run the Flash uninstaller program, then reboot your PC. Then install the Plugin version of Flash. So you'll have a clean installation of Flash for Firefox.

You'll also need to reinstall the ActiveX version for IE.

more options

Thank you the-edmeister for fixing this problem for me. How do I reinstall the active x portion? Thanks again!! Mary

fdlcm said

When I went to play Boggle Bash or Mahjong Garden on POGO.com yesterday, 2-24-2015, a pop-up came up and said that my flash player was out of date. After updating 3 times, I still cannot play my flash games on POGO while using the Firefox browser. The same pop-up shows up stating that my flash player needs to be updated. I checked the current version and it is the latest one, 16.0.0.305 for Firefox and Windows 7 . Why isn't this update being recognized? I have gone through the list of Adobe trouble shooting to no avail. I am able to play using the Chrome browser. The people at Adobe told me to just use Chrome for my games. I don't like Chrome and want to use my Firefox for my gaming. I read the previous help subject that was submitted before by taylormade, on 11/24/14 3:55 PM, . I used the same link that you posted in the response by James Top 25 Contributor Moderator 619 solutions 4632 answers Posted 11/24/14 11:57 PM, and it doesn't help. What should I do to get my games working again on Firefox? I think that it is a disservice to Firefox that the Adobe people are telling people to use Chrome instead because there are less problems with it than using Firefox Something needs to be fixed.
more options

It still does not work

more options

A post was flagged as Solved Problem. Please remove that flag. If you don’t, others that can help may not read this post.

Use these pages, and report what they say; Flash Player Test Page YouTube Test Page: What video does this browser support